/// The operation requires more input series than were provided.
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct TooFewInputs {
    #[serde(rename = "requiredInputCount")]
    required_input_count: i32,
    #[serde(rename = "providedInputCount")]
    provided_input_count: i32,
}
impl TooFewInputs {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(required_input_count: i32, provided_input_count: i32) -> Self {
        Self::builder()
            .required_input_count(required_input_count)
            .provided_input_count(provided_input_count)
            .build()
    }
    #[inline]
    pub fn required_input_count(&self) -> i32 {
        self.required_input_count
    }
    #[inline]
    pub fn provided_input_count(&self) -> i32 {
        self.provided_input_count
    }
}
impl conjure_error::ErrorType for TooFewInputs {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Compute:TooFewInputs"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["providedInputCount", "requiredInputCount"]
    }
}
